Bug 13848 - Alpha s_nearbyint.c implementation incorrect
Summary: Alpha s_nearbyint.c implementation incorrect
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: math (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: 2.16
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-14 18:42 UTC by Richard Henderson
Modified: 2014-06-26 13:58 UTC (History)
0 users

See Also:
Host: alpha-linux
Target: alpha-linux
Build:
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Henderson 2012-03-14 18:42:46 UTC
Similar to PR 5350, but s_nearbyint{,f}.c got missed in that fix.
Comment 1 Richard Henderson 2012-06-15 19:23:36 UTC
Fixed in commit f56ed78d4ad3fa029df5db1110aee06f1e26f199
Comment 2 joseph@codesourcery.com 2012-06-15 20:07:45 UTC
A testcase in libm-test.inc would be good, if there isn't one already 
there for this bug.  (And, bug numbers of bugs fixed in ports go in libc's 
NEWS file.)